<table class='divide-y divide-gray-200 w-full' *ngIf='allTransactions.length > 0'>
  <thead>
  <tr>
    <th scope='col' class='px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider'>
      Title
    </th>
    <th scope='col' class='px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider'>
      Amount
    </th>
    <th scope='col' class='px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider'>
      Type
    </th>
    <th scope='col' class='px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider'>
      End Stacking
    </th>
    <th scope='col' class='px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider'>
      Created
    </th>
  </tr>
  </thead>
  <tbody class='bg-white divide-y divide-gray-200'>
  <ng-template ngFor let-transaction [ngForOf]='allTransactions' let-i='index'>
    <tr>
      <td class='px-6 py-4 whitespace-nowrap text-sm font-medium text-gray-900'>
        {{transaction.title}}
      </td>
      <td class='px-6 py-4 whitespace-nowrap text-sm'
          [ngClass]="{'text-green-800': +transaction.amount >= 0, 'text-rose-800': +transaction.amount < 0}">
        {{transaction.amount}}
      </td>
      <td class='px-6 py-4 whitespace-nowrap text-sm text-gray-500'>
        {{convertLabelType(transaction.paymentType)}}
      </td>
      <td class='px-6 py-4 whitespace-nowrap text-sm text-gray-500'>
        <span *ngIf='transaction.detailsJson && transaction.detailsJson.Boost && +transaction.detailsJson.Boost != 0'>{{transaction.detailsJson?.LockTill | amCalendar}}</span>
        <span class='px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-green-100 text-green-800'
              *ngIf='transaction.detailsJson && transaction.detailsJson.Boost'>
                  <span
                    *ngIf='+transaction.detailsJson.Boost != 0 else flex'>Boost: {{+transaction.detailsJson.Boost * 100}}
                    %</span>
                  <ng-template #flex>Flex</ng-template>
                </span>
      </td>
      <td class='px-6 py-4 whitespace-nowrap text-sm text-gray-500'>
        <span *ngIf='transaction.timestamp else noTimestamp'>{{transaction.timestamp | amTimeAgo}}</span>
        <ng-template #noTimestamp>{{transaction.detailsJson.Created ? (transaction.detailsJson.Created | amTimeAgo) : '-'}}</ng-template>
      </td>
    </tr>
  </ng-template>
  </tbody>
</table>
